Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-9420

Bump APIs to enable flexible versions

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.5.0
    • Component/s: None
    • Labels:
      None

      Description

      As part of KIP-482 (https://cwiki.apache.org/confluence/display/KAFKA/KIP-482%3A+The+Kafka+Protocol+should+Support+Optional+Tagged+Fields), we need to bump the versions of all protocols which have been converted to use the generated protocol in order to enable flexible version support . This ticket covers the following APIs which now support the generated protocol:

      • SaslAuthenticate
      • SaslHandshake
      • CreatePartitions
      • DescribeDelegationToken
      • ExpireDelegationToken
      • RenewDelegationToken

        Attachments

          Activity

            People

            • Assignee:
              hachikuji Jason Gustafson
              Reporter:
              hachikuji Jason Gustafson

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment